org.apache.hadoop.ipc.protobuf

## Class ProtocolInfoProtos.ProtocolInfoService

- java.lang.Object
- - org.apache.hadoop.ipc.protobuf.ProtocolInfoProtos.ProtocolInfoService

- All Implemented Interfaces:
    com.google.protobuf.Service
  Direct Known Subclasses:
    ProtocolInfoProtos.ProtocolInfoService.Stub
  Enclosing class:
    ProtocolInfoProtos

      public abstract static class ProtocolInfoProtos.ProtocolInfoService
      extends Object
      implements com.google.protobuf.Service

  Protobuf service `hadoop.common.ProtocolInfoService`

       Protocol to get information about protocols.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `ProtocolInfoProtos.ProtocolInfoService.BlockingInterface`
    `static interface` | `ProtocolInfoProtos.ProtocolInfoService.Interface`
    `static class` | `ProtocolInfoProtos.ProtocolInfoService.Stub`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ProtocolInfoService()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `callMethod(com.google.protobuf.Descriptors.MethodDescriptor method, com.google.protobuf.RpcController controller, com.google.protobuf.Message request, com.google.protobuf.RpcCallback<com.google.protobuf.Message> done)`
    `static com.google.protobuf.Descriptors.ServiceDescriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.ServiceDescriptor` | `getDescriptorForType()`
    `abstract void` | `getProtocolSignature(com.google.protobuf.RpcController controller, ProtocolInfoProtos.GetProtocolSignatureRequestProto request, com.google.protobuf.RpcCallback<ProtocolInfoProtos.GetProtocolSignatureResponseProto> done)` `rpc getProtocolSignature(.hadoop.common.GetProtocolSignatureRequestProto) returns (.hadoop.common.GetProtocolSignatureResponseProto);`
    `abstract void` | `getProtocolVersions(com.google.protobuf.RpcController controller, ProtocolInfoProtos.GetProtocolVersionsRequestProto request, com.google.protobuf.RpcCallback<ProtocolInfoProtos.GetProtocolVersionsResponseProto> done)` `rpc getProtocolVersions(.hadoop.common.GetProtocolVersionsRequestProto) returns (.hadoop.common.GetProtocolVersionsResponseProto);`
    `com.google.protobuf.Message` | `getRequestPrototype(com.google.protobuf.Descriptors.MethodDescriptor method)`
    `com.google.protobuf.Message` | `getResponsePrototype(com.google.protobuf.Descriptors.MethodDescriptor method)`
    `static ProtocolInfoProtos.ProtocolInfoService.BlockingInterface` | `newBlockingStub(com.google.protobuf.BlockingRpcChannel channel)`
    `static com.google.protobuf.BlockingService` | `newReflectiveBlockingService(ProtocolInfoProtos.ProtocolInfoService.BlockingInterface impl)`
    `static com.google.protobuf.Service` | `newReflectiveService(ProtocolInfoProtos.ProtocolInfoService.Interface impl)`
    `static ProtocolInfoProtos.ProtocolInfoService.Stub` | `newStub(com.google.protobuf.RpcChannel channel)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProtocolInfoService

          protected ProtocolInfoService()

  - ### Method Detail

    - #### newReflectiveService

          public static com.google.protobuf.Service newReflectiveService(ProtocolInfoProtos.ProtocolInfoService.Interface impl)

    - #### newReflectiveBlockingService

          public static com.google.protobuf.BlockingService newReflectiveBlockingService(ProtocolInfoProtos.ProtocolInfoService.BlockingInterface impl)

    - #### getProtocolVersions

          public abstract void getProtocolVersions(com.google.protobuf.RpcController controller,
                                                   ProtocolInfoProtos.GetProtocolVersionsRequestProto request,
                                                   com.google.protobuf.RpcCallback<ProtocolInfoProtos.GetProtocolVersionsResponseProto> done)

      `rpc getProtocolVersions(.hadoop.common.GetProtocolVersionsRequestProto) returns (.hadoop.common.GetProtocolVersionsResponseProto);`

           Return protocol version corresponding to protocol interface for each
           supported rpc kind.

    - #### getProtocolSignature

          public abstract void getProtocolSignature(com.google.protobuf.RpcController controller,
                                                    ProtocolInfoProtos.GetProtocolSignatureRequestProto request,
                                                    com.google.protobuf.RpcCallback<ProtocolInfoProtos.GetProtocolSignatureResponseProto> done)

      `rpc getProtocolSignature(.hadoop.common.GetProtocolSignatureRequestProto) returns (.hadoop.common.GetProtocolSignatureResponseProto);`

           Return protocol version corresponding to protocol interface.

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.ServiceDescriptor getDescriptor()

    - #### getDescriptorForType

          public final com.google.protobuf.Descriptors.ServiceDescriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Service`

    - #### callMethod

          public final void callMethod(com.google.protobuf.Descriptors.MethodDescriptor method,
                                       com.google.protobuf.RpcController controller,
                                       com.google.protobuf.Message request,
                                       com.google.protobuf.RpcCallback<com.google.protobuf.Message> done)

      Specified by:
        `callMethod` in interface `com.google.protobuf.Service`

    - #### getRequestPrototype

          public final com.google.protobuf.Message getRequestPrototype(com.google.protobuf.Descriptors.MethodDescriptor method)

      Specified by:
        `getRequestPrototype` in interface `com.google.protobuf.Service`

    - #### getResponsePrototype

          public final com.google.protobuf.Message getResponsePrototype(com.google.protobuf.Descriptors.MethodDescriptor method)

      Specified by:
        `getResponsePrototype` in interface `com.google.protobuf.Service`

    - #### newStub

          public static ProtocolInfoProtos.ProtocolInfoService.Stub newStub(com.google.protobuf.RpcChannel channel)

    - #### newBlockingStub

          public static ProtocolInfoProtos.ProtocolInfoService.BlockingInterface newBlockingStub(com.google.protobuf.BlockingRpcChannel channel)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.